<?php
/*
Plugin Name: WP AD Gallery 
Plugin URI: http://www.grazhya.com
Description: AD Gallery jQuery plugin for Wordpress
Version: 1.0
Author: Wiellyam Roberto
Author URI: http://www.grazhya.com
License: GPL2
*/



// Set the core file path
define( 'WPAG_FILE_PATH', dirname( __FILE__ ) );

// Define the path to the plugin folder
define( 'WPAG_DIR_NAME',  basename( WPAG_FILE_PATH ) );

// Define the URL to the plugin folder
define( 'WPAG_FOLDER',    dirname( plugin_basename( __FILE__ ) ) );
define( 'WPAG_URL',       plugins_url( '', __FILE__ ) );

/*********************************************************************
 Load Scripts
**********************************************************************/

// jQuery Library
function jquery_scripts() {
    wp_deregister_script( 'jquery' );
    wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');
    wp_enqueue_script( 'jquery' );
}    
 
add_action('wp_enqueue_scripts', 'jquery_scripts');


// AD Gallery script
function ad_gallery_scripts() {
    wp_register_script( 'ad-gallery', WPAG_URL. '/js/jquery.ad-gallery.js');
    wp_enqueue_script( 'ad-gallery' );
}    
 
add_action('wp_enqueue_scripts', 'ad_gallery_scripts');

/*********************************************************************
 Admin Options Page
**********************************************************************/

function wp_ad_gallery_admin() {
	add_options_page("WP AD Gallery", "WP AD Gallery", 1, "wp-ad-gallery", "wpag_admin");
}

add_action('admin_menu', 'wp_ad_gallery_admin');

/*********************************************************************
 Load Plugin Components
**********************************************************************/

function wpag_admin() {
	include('admin/admin.php');
}

// Shortcode
require_once( 'shortcode/shortcode.php' );

/*********************************************************************
 Load Style and Script for Front End
**********************************************************************/

function ad_gallery_style()
{ ?>
<style type="text/css">
#gallery {padding:0 20px 20px;}

#descriptions {position:relative; height:50px; background:#eee; margin-top:0; padding:0; overflow:hidden;}
#descriptions .ad-image-description {position:absolute;}
#descriptions .ad-image-description .ad-description-title {display:block;}

.ad-gallery {width:<?php if (! get_option('wpag_gallery_width')) { ?>580<?php } else { echo get_option('wpag_gallery_width'); } ?>px;}

.ad-gallery, 
.ad-gallery * {margin:0; padding:0;}

.ad-gallery .ad-image-wrapper {width:<?php if (! get_option('wpag_gallery_width')) { ?>580<?php } else { echo get_option('wpag_gallery_width'); } ?>px; height:<?php if (! get_option('wpag_gallery_height')) { ?>400<?php } else { echo get_option('wpag_gallery_height'); } ?>px; margin:0 auto; margin-left:0; position:relative; overflow:hidden;}
.ad-gallery .ad-image-wrapper .ad-loader {position:absolute; z-index:10; top:48%; left:48%; border:1px solid #CCC;}

.ad-gallery .ad-image-wrapper .ad-next {position:absolute; right:0; top:0; width:40%; height:100%; cursor:pointer; display:block; z-index:1;}
.ad-gallery .ad-image-wrapper .ad-prev {position:absolute; left:0; top:0; width:40%; height:100%; cursor:pointer; display:block; z-index:1;}

.ad-gallery .ad-image-wrapper .ad-prev, 
.ad-gallery .ad-image-wrapper .ad-next {background:url('<?php echo WPAG_URL. ""; ?>/images/non-existing.jpg') }

.ad-gallery .ad-image-wrapper .ad-prev .ad-prev-image, 
.ad-gallery .ad-image-wrapper .ad-next .ad-next-image {background:url('<?php echo WPAG_URL. ""; ?>/images/ad_prev.png'); width:30px; height:30px; display:none; position:absolute; top:47%; left:0; }

.ad-gallery .ad-image-wrapper .ad-next .ad-next-image {background:url('<?php echo WPAG_URL. ""; ?>/images/ad_next.png'); width:30px; height:30px; right:0; left:auto;}

.ad-gallery .ad-image-wrapper .ad-image {position:absolute; overflow:hidden; top:0; left:0;}
.ad-gallery .ad-image-wrapper .ad-image a img {border:0;}

.ad-gallery .ad-image-wrapper .ad-image .ad-image-description {position:absolute; bottom:0px; left:0px; padding:7px; text-align:left; width:100%; z-index:2; background:url('<?php echo WPAG_URL. ""; ?>/images/opa75.png'); color:#000;}
* html .ad-gallery .ad-image-wrapper .ad-image .ad-image-description {background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader (enabled=true, sizingMethod=scale, src='<?php echo WPAG_URL. ""; ?>/images/opa75.png');}

.ad-gallery .ad-image-wrapper .ad-image .ad-image-description .ad-description-title {display:block;}

.ad-gallery .ad-controls {height:20px; padding:10px 0;}
.ad-gallery .ad-info {float:left;}

.ad-gallery .ad-slideshow-controls {float:right;}
.ad-gallery .ad-slideshow-controls .ad-slideshow-start, 
.ad-gallery .ad-slideshow-controls .ad-slideshow-stop {padding-left:5px; cursor:pointer;}

.ad-gallery .ad-slideshow-controls .ad-slideshow-countdown {padding-left:5px; font-size:0.9em;}
.ad-gallery .ad-slideshow-running .ad-slideshow-start {cursor:default; font-style:italic;}

.ad-gallery .ad-nav {width:100%; position:relative;}

.ad-gallery .ad-forward, 
.ad-gallery .ad-back {position:absolute; top:0; height:100%; z-index:10;}

/* IE 6 doesn't like height: 100% */
* html .ad-gallery .ad-forward, .ad-gallery .ad-back {height:100px;}

.ad-gallery .ad-back {cursor:pointer; left:-20px; width:20px; display:block; background:url('<?php echo WPAG_URL. ""; ?>/images/ad_scroll_back.png') 0px 22px no-repeat;}
.ad-gallery .ad-forward {cursor:pointer; display:block; right:-20px; width:20px; background:url('<?php echo WPAG_URL. ""; ?>/images/ad_scroll_forward.png') 0px 22px no-repeat;}
.ad-gallery .ad-nav .ad-thumbs {overflow:hidden; width:100%;}

.ad-gallery .ad-thumbs .ad-thumb-list {float:left; width:9000px; height:66px; list-style:none;}
.ad-gallery .ad-thumbs li {float:left; padding-right:5px;}
.ad-gallery .ad-thumbs li a {display:block;}
.ad-gallery .ad-thumbs li a img {border:3px solid #CCC; display:block;}
.ad-gallery .ad-thumbs li a.ad-active img {border:3px solid #616161;}

/* Can't do display none, since Opera won't load the images then */
.ad-preloads {position:absolute; left:-9000px; top:-9000px;}
</style>

<script type="text/javascript">
$(function() {

var galleries = $('.ad-gallery').adGallery({
  loader_image: '<?php echo WPAG_URL. ""; ?>/images/loader.gif',
  thumb_opacity: <?php if (! get_option('wpag_thumb_opacity')) { ?>1.0<?php } else { echo get_option('wpag_thumb_opacity'); } ?>, // Opacity that the thumbs fades to/from, (1 removes fade effect)
                      // Note that this effect combined with other effects might be resource intensive
                      // and make animations lag
  animate_first_image: <?php if (! get_option('wpag_animate_first')) { ?>false<?php } else { echo get_option('wpag_animate_first'); } ?>, // Should first image just be displayed, or animated in?
  animation_speed: <?php if (! get_option('wpag_animation_speed')) { ?>400<?php } else { echo get_option('wpag_animation_speed'); } ?>, // Which ever effect is used to switch images, how long should it take?
  display_next_and_prev: <?php if (! get_option('wpag_next_prev')) { ?>false<?php } else { echo get_option('wpag_next_prev'); } ?>, // Can you navigate by clicking on the left/right on the image?
  display_back_and_forward: <?php if (! get_option('wpag_back_forward')) { ?>false<?php } else { echo get_option('wpag_back_forward'); } ?>, // Are you allowed to scroll the thumb list?
  slideshow: {
    enable: <?php if (! get_option('wpag_enable_slideshow')) { ?>false<?php } else { echo get_option('wpag_enable_slideshow'); } ?>,
    autostart: <?php if (! get_option('wpag_autostart')) { ?>false<?php } else { echo get_option('wpag_autostart'); } ?>,
    speed: <?php if (! get_option('wpag_slide_speed')) { ?>2000<?php } else { echo get_option('wpag_slide_speed'); } ?>,
    start_label: '<?php if (! get_option('wpag_start_label')) { ?>Start<?php } else { echo get_option('wpag_start_label'); } ?>',
    stop_label: '<?php if (! get_option('wpag_stop_label')) { ?>Stop<?php } else { echo get_option('wpag_stop_label'); } ?>',
    stop_on_scroll: <?php if (! get_option('wpag_stop_scroll')) { ?>false<?php } else { echo get_option('wpag_stop_scroll'); } ?>, // Should the slideshow stop if the user scrolls the thumb list?
    countdown_prefix: '<?php if (! get_option('wpag_count_prefix')) { ?>( <?php } else { echo get_option('wpag_count_prefix'); } ?>',
    countdown_sufix: '<?php if (! get_option('wpag_count_sufix')) { ?> )<?php } else { echo get_option('wpag_count_sufix'); } ?>',
  },
  effect: '<?php if (! get_option('wpag_effect')) { ?>slide-hori<?php } else { echo get_option('wpag_effect'); } ?>', //'slide-hori', 'slide-vert', 'resize', 'fade', 'none' or false
  enable_keyboard_move: <?php if (! get_option('wpag_keyboard_move')) { ?>false<?php } else { echo get_option('wpag_keyboard_move'); } ?>, // Move to next/previous image with keyboard arrows?
  cycle: <?php if (! get_option('wpag_cycle')) { ?>false<?php } else { echo get_option('wpag_cycle'); } ?>, // If set to false, you can't go from the last image to the first, and vice versa
});


});
</script>

<?php  

} 
add_action('wp_head','ad_gallery_style');

?>

